Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.log
Class MessageLogRecord

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
          edu.stanford.smi.protegex.owl.inference.protegeowl.log.MessageLogRecord

All Implemented Interfaces:
  ListCellRenderer, TreeCellRenderer

Direct Known Subclasses:
  ErrorMessageLogRecord, InformationMessageLogRecord, WarningMessageLogRecord

    public abstract class MessageLogRecord

extends ReasonerLogRecord

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 22, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`MessageLogRecord(RDFResource cause, String message, ReasonerLogRecord parent)`

Method Summary
`RDFResource` | `getCause()` Gets the cause of this warning.
`String` | `getHTMLMessage()`
`protected JLabel` | `getJLabel()`
`Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)` Return a component that has been configured to display the specified value.
`String` | `getMessage()`
`Component` | `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)` Sets the value of the current tree cell to `value`.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
`getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageLogRecord

    public MessageLogRecord(RDFResource cause,
                            String message,
                            ReasonerLogRecord parent)

Method Detail

### getJLabel

    protected JLabel getJLabel()

### getHTMLMessage

    public String getHTMLMessage()

### getMessage

    public String getMessage()

### getCause

    public RDFResource getCause()

  Gets the cause of this warning.

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list,
                                                  Object value,
                                                  int index,
                                                  boolean isSelected,
                                                  boolean cellHasFocus)

  Return a component that has been configured to display the specified value. That component's `paint` method is then called to "render" the cell. If it is necessary to compute the dimensions of a list because the list cells do not have a fixed size, this method is called to generate a component on which `getPreferredSize` can be invoked.

  Parameters:
    `list` - The JList we're painting.
    `value` - The value returned by list.getModel().getElementAt(index).
    `index` - The cells index.
    `isSelected` - True if the specified cell was selected.
    `cellHasFocus` - True if the specified cell has the focus.
  Returns:
    A component whose paint() method will render the specified value.
  See Also:
    `JList`, `ListSelectionModel`, `ListModel`

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree tree,
                                                  Object value,
                                                  boolean selected,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus)

  Sets the value of the current tree cell to `value`. If `selected` is true, the cell will be drawn as if selected. If `expanded` is true the node is currently expanded and if `leaf` is true the node represets a leaf and if `hasFocus` is true the node currently has focus. `tree` is the `JTree` the receiver is being configured for. Returns the `Component` that the renderer uses to draw the value.

  Returns:
    the `Component` that the renderer uses to draw the value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.